[% sort_name = "sort$tb_name" %]

<table class="property-table">
<tr>

[% FOREACH field IN fields %]


   [% IF field.db_name == "custom_cell" %]
     [% SET field_to_sort = field.sort_name %]
   [% ELSE %]
     [% SET field_to_sort = field.db_name %]
   [% END %]

[% IF sorted_tables.$tb_name == field.db_name or sorted_tables.$tb_name == field.sort_name %] 


   [% IF field.numeric_sort %]
    [% SET sorted_dataset = dataset.nsort(sorted_tables.$tb_name) %]
   [% ELSE %]
    [% SET sorted_dataset = dataset.sort(sorted_tables.$tb_name) %]
   [% END %]

<th class="property-header-sorted" onClick="javascript:sort_this_field('[% tb_name %]', '[% field_to_sort %]')"> 

[% ELSE %]

  [% IF field.sortable == "1" || field.db_name != "custom_cell" %]
    <th class="property-header" onClick="javascript:sort_this_field('[% tb_name %]', '[% field_to_sort %]')"> 
  [% ELSE %]
    <th class="property-header"> 
  [% END %] 

[% END %]

[% field.out_name %]

</th>
[% END %] 

</tr>

[% processed_rows = 0 %]
[% FOREACH row IN sorted_dataset %]

[% NEXT IF row_filter == 1 %]
[% processed_rows = processed_rows + 1 %]

<tr>
 [% IF loop.count % 2 != 0 %]
    [% class = "odd"  %]
 [% ELSE %]
    [% class = "even" %]
 [% END %]




      [% 
      FOREACH field IN fields 

       %]

[% IF sorted_tables.$tb_name == field.db_name or sorted_tables.$tb_name == field.sort_name %] 
 [% SET class_sorted = "sorted" %]
[% ELSE %]
 [% SET class_sorted = "" %]
[% END %]

[% IF field.numeric_sort %]
       <td class="value-[% class %][% class_sorted %]" style="text-align:right;"> 
[% ELSE %]
       <td class="value-[% class %][% class_sorted %]"> 
[% END %]



	[% f = field.db_name %]
	[% IF f == "custom_cell" %]
	[% field.custom_cell | eval %]
	[% ELSE %]
        [%
         cur_cell = row.$f ;
	 field.pre_cell | eval;
	 cur_cell;
	 field.post_cell | eval ;
	%]
	[% END %]
      </td>
       [% END %]


 </tr>

 [% END %]

 </table>

